## ros-indigo-dbw-fca-msgs 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dbw_fca_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
  geometry_msgs
)

add_message_files(DIRECTORY msg FILES
  BrakeCmd.msg
  BrakeInfoReport.msg
  BrakeReport.msg
  Gear.msg
  GearCmd.msg
  GearReject.msg
  GearReport.msg
  Misc1Report.msg
  SteeringCmd.msg
  SteeringReport.msg
  ThrottleCmd.msg
  ThrottleInfoReport.msg
  ThrottleReport.msg
  TurnSignal.msg
  TurnSignalCmd.msg
  WatchdogCounter.msg
  WheelPositionReport.msg
  WheelSpeedReport.msg
)

generate_messages(DEPENDENCIES
  std_msgs
  geometry_msgs
)

catkin_package(CATKIN_DEPENDS
  message_runtime
  std_msgs
  geometry_msgs
)

install(DIRECTORY bmr
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        FILES_MATCHING PATTERN "*.bmr"
)

=== debian/changelog ===
ros-indigo-dbw-fca-msgs (1.0.1-0trusty) trusty; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 01 Mar 2019 05:00:00 -0000

ros-indigo-dbw-fca-msgs (1.0.0-0trusty) trusty; urgency=high

  * Added CMD_DECEL brake command type (only for non-hybrid platforms)
  * Changed maximum brake torque command from 3412 Nm to 5000 Nm
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

ros-indigo-dbw-fca-msgs (0.0.2-0trusty) trusty; urgency=high

  * Added cruise control buttons
  * Removed cruise control related buttons that are not implemented by firmware at this time
  * Removed steering debug message
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 23 Oct 2018 04:00:00 -0000

ros-indigo-dbw-fca-msgs (0.0.1-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 08 Aug 2018 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-dbw-fca-msgs
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-indigo-dbw-fca-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-rosbag-migration-rule, ros-indigo-std-msgs
Description: Drive-by-wire messages for the Chrysler Pacifica

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dbw-fca-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
